<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $url = $_POST['url'] ?? '';
    if (empty($url)) {
        echo 'Invalid URL.';
        exit;
    }

    // Extract video ID from URL
    preg_match('/(?:https?:\/\/)?(?:www\.)?youtube\.com\/watch\?v=([a-zA-Z0-9_-]+)|youtu\.be\/([a-zA-Z0-9_-]+)/', $url, $matches);
    $videoId = $matches[1] ?? $matches[2] ?? '';

    if (empty($videoId)) {
        echo 'Invalid YouTube URL.';
        exit;
    }

    // Generate thumbnail URLs
    $thumbnails = [
        'Default' => "https://img.youtube.com/vi/$videoId/default.jpg",
        'Medium' => "https://img.youtube.com/vi/$videoId/mqdefault.jpg",
        'High' => "https://img.youtube.com/vi/$videoId/hqdefault.jpg",
        'Standard' => "https://img.youtube.com/vi/$videoId/sddefault.jpg",
        'Max Resolution' => "https://img.youtube.com/vi/$videoId/maxresdefault.jpg"
    ];

    // Return thumbnails
    foreach ($thumbnails as $size => $url) {
        echo "<div>
                <h3>$size</h3>
                <a href='$url' target='_blank'><img src='$url' alt='$size Thumbnail' width='200'></a>
              </div>";
    }
} else {
    echo 'Invalid request.';
}
?>
